classification
Title: Tutorial doesn't explain the use of classes
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Mariatta, docs@python, rhettinger, trey
Priority: normal Keywords:

Created on 2017-05-24 22:58 by trey, last changed 2017-07-21 03:11 by Mariatta. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 1804 merged trey, 2017-05-25 00:19
PR 2700 merged trey, 2017-07-13 20:41
Messages (5)
msg294409 - (view) Author: Trey Hunner (trey) * Date: 2017-05-24 22:58
The tutorial page for classes starts with "Compared with other programming languages".

While object-oriented programming and classes are popular in many programming languages, not everyone learning about Python's classes is familiar with the concept.  I teach both new programmers and programmers who have heard of object-oriented programming but never created a class before.

I think the first paragraph on this page should be a brief explanation of the use of classes.  It may also be a good idea to have a "Why classes?" section explaining the uses of classes in more detail.
msg294418 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2017-05-25 00:34
This particular PR seems fine.  I'll review it in more detail later.

In general, the tutorial is intended to be a structured overview of the language rather than a how-to-program lesson.  Concepts are usually linked to the glossary or external sources and some information is communicated indirectly by the examples.
msg298255 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-07-13 02:30
New changeset 3fbd70018f835edd33250de2f79b7a7ef45f8359 by Mariatta (Trey Hunner) in branch 'master':
bpo-30466: Add brief explanation of classes to tutorial (GH-1804)
https://github.com/python/cpython/commit/3fbd70018f835edd33250de2f79b7a7ef45f8359
msg298422 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2017-07-16 07:15
Apparently this was committed without my review.
msg298764 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-07-21 03:10
New changeset ef4231adb7aa6b323c94e854ac3dc3bebc841115 by Mariatta (Trey Hunner) in branch '3.6':
bpo-30466: Add brief explanation of classes to tutorial (GH-1804) (GH-2700)
https://github.com/python/cpython/commit/ef4231adb7aa6b323c94e854ac3dc3bebc841115
History
Date User Action Args
2017-07-21 03:11:50Mariattasetstatus: open -> closed
resolution: fixed
stage: backport needed -> resolved
2017-07-21 03:10:58Mariattasetmessages: + msg298764
2017-07-16 07:15:01rhettingersetassignee: rhettinger ->
messages: + msg298422
2017-07-13 20:41:40treysetpull_requests: + pull_request2766
2017-07-13 02:32:14Mariattasetstage: patch review -> backport needed
2017-07-13 02:30:40Mariattasetnosy: + Mariatta
messages: + msg298255
2017-05-25 00:34:55rhettingersetassignee: docs@python -> rhettinger

messages: + msg294418
nosy: + rhettinger
2017-05-25 00:25:08Mariattasetstage: patch review
2017-05-25 00:19:34treysetpull_requests: + pull_request1887
2017-05-24 22:58:40treycreate